Resolution: Fixed Affected version: 6.0.1

Description

In the Gantt chart, when interacting with the context menu of a ticket, the submenus of the context menu close unintentionally if the

cursor overlaps the resizable handle (used to adjust the table width).

This behavior seems to be caused by the z-index of the resizable handle being higher than the z-index of the context menu, causing

the submenus to close unexpectedly when the cursor overlaps both elements.
Associated revisions

Revision 23424 - 2024-12-30 06:58 - Go MAEDA

Context menu submenus close unexpectedly on Gantt chart due to z-index conflict (#41925).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23426 - 2024-12-31 03:20 - Go MAEDA

Merged r23424 from trunk to 6.0-stable (#41925).

History

#1 - 2024-12-03 08:42 - Mizuki ISHIKAWA

You can resolve the issue by changing the z-index of the resizable handle to be smaller than the z-index of the context menu (40).

diff --git a/app/assets/javascripts/gantt.js b/app/assets/javascripts/gantt.js

index 6a42e5be9..ceb6d9a51 100644

--- a/app/assets/javascripts/gantt.js

+++ b/app/assets/javascripts/gantt.js

@@ -178,6 +178,7 @@ function drawSelectedColumns(){

         $(this).show();

         var column_name = $(this).attr('id');

         $(this).resizable({

+          zIndex: 30,

           alsoResize: '.gantt_' + column_name + '_container, .gantt_' + column_name + '_container > .gantt_hd

r',

           minWidth: 20,

           handles: "e",

@@ -220,6 +221,7 @@ function resizableSubjectColumn(){

     alsoResize: '.gantt_subjects_container, .gantt_subjects_container>.gantt_hdr, .project-name, .issue-subje

ct, .version-name',

     minWidth: 100,

     handles: 'e',

+    zIndex: 30,

     create: function( event, ui ) {

       $('.ui-resizable-e').css('cursor','ew-resize');

     }

#2 - 2024-12-29 05:28 - Go MAEDA

- Target version set to 6.0.3

Setting the target version to 6.0.3.

2025-05-21 1/2



#3 - 2024-12-30 06:59 - Go MAEDA

- Subject changed from Context menu submenus close unintentionally on Gantt chart due to z-index conflict to Context menu submenus close

unexpectedly on Gantt chart due to z-index conflict

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23424. Thank you.

#4 - 2024-12-31 03:21 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23426.
